enum VehicleCommandType {
  unknown('未知', 'unknown'),
  lock('上锁车门', 'lock'),
  unlock('解锁车门', 'unlock'),
  openWindow('打开车窗', 'open window'),
  closeWindow('关闭车窗', 'close window'),
  appointAC('预约空调', 'appoint AC'),
  openAC('打开空调', 'open AC'),
  closeAC('关闭空调', 'close AC'),
  changeACTemp('修改空调温度', 'change AC temperature'),
  coolSharply('极速降温', 'cool sharply'),
  prepareCar('一键备车', 'prepare car'),
  meltSnow('一键融雪', 'melt snow'),
  openTrunk('打开后备箱', 'open trunk'),
  closeTrunk('关闭后备箱', 'close trunk'),
  honk('鸣笛', 'honk'),
  locateCar('定位车辆', 'locate car'),
  openWheelHeat('开启方向盘加热', 'open wheel heat'),
  closeWheelHeat('关闭方向盘加热', 'close wheel heat'),
  openMainSeatHeat('开启主座椅加热', 'open main seat heat'),
  closeMainSeatHeat('关闭主座椅加热', 'close main seat heat'),
  openMinorSeatHeat('开启副座椅加热', 'open minor seat heat'),
  closeMinorSeatHeat('关闭副座椅加热', 'close minor seat heat');

  const VehicleCommandType(this.chinese, this.english);

  final String chinese;
  final String english;
} 